# Update a Collection. Update a Collection's attributes or assigned Assets. The list of existing assets is replaced with assets provided in the call. Assets in the collection are referenced by Asset FileID therefore the collectionDocument must contain asset's FileID. The User editing the Collection must have the Collection Security Role Privilege. The User must have View access to the Assets that are being added to or removed from the Collection. Endpoint: PATCH /collection/{id} Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) Specify Collection ID ## Request fields (application/json): - `collectionType` (string) Type of the collection. Enum: "secured", "private" - `name` (string) Name of the collection Example: "Photo Collection" - `collectionDocument` (array) List of fileIDs to be added to collection. This list will replace the current set of assets in the collection. ## Response 200 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)